<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PatientController extends Controller
{
    
    
    public function index()
    {
        //return view('home');
    }

    public function clearCache()
    {
        \Artisan::call('cache:clear');
        return view('clear-cache');
    }
    
    public function upload_patient_data(Request $request)
    {
        if($request->hasfile('upload_file'))
        {
            $image = $request->file('upload_file');
            $feature_image = time().'.'.$image->getClientOriginalName();       
            $destinationPath = public_path('/uploads/');
            $image->move($destinationPath, $feature_image);   

            $location = 'uploads';
            $file = public_path($location.'/'.$feature_image);
            $customerArr = $this->csvToArray($file);         
        
            if(count($customerArr) > 0)
            {
                $success_count = 0;
                $fail_count = 0;
                foreach($customerArr as $key=>$data)
                {
                    if($data['state_code'] != "" && $data['pre_art_reg_num'] != $data['art_reg_num'])
                    {
                        $preart_count = DB::table('patient_register')->where('art_centre_code',$data['art_centre_code'])->where('pre_art_reg_num',$data['pre_art_reg_num'])->count();
                        $art_count = DB::table('patient_register')->where('art_centre_code',$data['art_centre_code'])->where('art_reg_num',$data['art_reg_num'])->count();
                        if($preart_count + $art_count <= 0)
                        {
                            $uidcount = DB::table('patient_register')->where('state_code',$data['state_code'])->count();
                            $dist_code = $data['dist_code'];
                            $art_centre = $data['pat_art_centre'];
                            $pat_uid = $art_centre.'-'.str_pad(($uidcount+1), 5, '0', STR_PAD_LEFT);

                            $data = array(
                                        "state_code"=>$data['state_code'],
                                        "dist_code"=>$data['dist_code'],
                                        "emp_code"=>$data['emp_code'],
                                        "art_centre_code"=>$data['art_centre_code'],
                                        "doe"=>$data['doe'],
                                        "art_centre"=>$data['pat_art_centre'],
                                        "art_centre_name"=>$data['pat_art_centre_name'],
                                        "pre_art_reg_num"=>$data['pre_art_reg_num'],
                                        "art_reg_num"=>$data['art_reg_num'],
                                        "pat_name"=>$data['pat_name'],
                                        "pat_dob"=>$data['pat_dob'],
                                        "pat_age"=>$data['pat_age'],
                                        "pat_sex"=>$data['pat_sex'],
                                        "pat_mobile"=>$data['pat_mobile'],
                                        "pat_alternate_mobile"=>$data['pat_alternate_mobile'],
                                        "pat_address"=>$data['pat_address'],
                                        "pat_mandal"=>$data['pat_mandal'],
                                        "pat_district"=>$data['pat_district'],
                                        "pat_city"=>$data['pat_city'],
                                        "pat_pincode"=>$data['pat_pincode'],
                                        "pat_status"=>$data['pat_status'],
                                        "pat_uid"=>$pat_uid
                                    );
                            
                            $insdata = DB::table('patient_register')->insert($data);
                            $success_count += 1;
                        }
                        else
                        {
                            $fail_count += 1; 
                        }
                    }
                    else
                    {
                        $fail_count += 1; 
                    }
                }
                \Session::flash('success',$success_count." Patient Data Uploaded Successfully");
                \Session::flash('error',$fail_count." Patient Data Uploading Failed");
                return redirect('patient-register-data')->with('error',$fail_count." Patient Data Uploading Failed");
            }
            else
            {
                return redirect()->back()->with('error','Something Went Wrong !');
            }
        }

        else
        {
            return redirect()->back()->with('error','Please Upload File in CSV Format');
        }
    }

    public function upload_patient_mapping_data(Request $request)
    {
        if($request->hasfile('upload_file'))
        {
            $image = $request->file('upload_file');
            $feature_image = time().'.'.$image->getClientOriginalName();       
            $destinationPath = public_path('/uploads/');
            $image->move($destinationPath, $feature_image);   

            $location = 'uploads';
            $file = public_path($location.'/'.$feature_image);
            $customerArr = $this->csvToArray($file);         
        
            if(count($customerArr) > 0)
            {
                $success_count = 0;
                $fail_count = 0;
                foreach($customerArr as $key=>$data)
                {
                    $pre_art_reg_num = $data['pre_art_reg_num'];
                    $art_reg_num = $data['art_reg_num'];
                    $art_centre_code = $data['art_centre_code'];

                    $patient_register = DB::table('patient_register')->where(['pre_art_reg_num'=>$pre_art_reg_num,'art_reg_num'=>$art_reg_num])->where('art_centre',$art_centre_code)->get();

                    if(count($patient_register) > 0)
                    {
                        $pat_uid = $patient_register[0]->id;
                        $mapcount = DB::table('patient_mapping')->where(['pat_uid'=>$pat_uid,'linelist_status'=>'Open'])->where('linelist_type',$data['linelist_type'])->where('linelist_reason',$data['linelist_reason'])->count();

                        if($data['state_code'] != "" && $mapcount <= 0)
                        {
                            $data = array(
                                "state_code"=>$data['state_code'],
                                "dist_code"=>$data['dist_code'],
                                "emp_code"=>$data['emp_code'],
                                "art_centre_code"=>$data['art_centre_code'],
                                "pat_uid"=>$pat_uid,
                                "linelist_date"=>$data['linelist_date'],
                                "linelist_type"=>$data['linelist_type'],
                                "linelist_reason"=>$data['linelist_reason'],
                                "linelist_status"=>"Open",
                            );
                            
                            $insdata = DB::table('patient_mapping')->insert($data);
                            $success_count += 1;
                        }
                        else
                        {
                            $fail_count += 1; 
                        }
                    }
                    else
                    {
                        $fail_count += 1; 
                    }
                }
                \Session::flash('success',$success_count." Patient Data Uploaded Successfully");
                \Session::flash('error',$fail_count." Patient Data Uploading Failed");
                return redirect('patient-mapping-data')->with('error',$fail_count." Patient Data Uploading Failed");
            }
            else
            {
                return redirect()->back()->with('error','Something Went Wrong !');
            }
        }

        else
        {
            return redirect()->back()->with('error','Please Upload File in CSV Format');
        }
    }
    public function csvToArray($filename = '', $delimiter = ',')
    {
        if (!file_exists($filename) || !is_readable($filename))
            return false;

        $header = null;
        $data = array();
        if (($handle = fopen($filename, 'r')) !== false)
        {
            while (($row = fgetcsv($handle, 1000, $delimiter)) !== false)
            {
                if (!$header)
                    $header = $row;
                else
                    $data[] = array_combine($header, $row);
            }
            fclose($handle);
        }

        return $data = $this->convert_from_latin1_to_utf8_recursively($data);
    }

    public function convert_from_latin1_to_utf8_recursively($dat)
    {
        if (is_string($dat)) 
        {
            return utf8_encode($dat);
        } 
        elseif (is_array($dat)) 
        {
            $ret = [];
            foreach ($dat as $i => $d) $ret[ $i ] = self::convert_from_latin1_to_utf8_recursively($d);
            return $ret;
        } 
        elseif (is_object($dat)) 
        {
            foreach ($dat as $i => $d) $dat->$i = self::convert_from_latin1_to_utf8_recursively($d);
            return $dat;
        } 
        else 
        {
            return $dat;
        }
    }

    public function insertpatient(Request $request)
    { 
        $state_code = $request->input('state_code');
        $uidcount = DB::table('patient_register')->where('state_code',$state_code)->count();
        $dist_code = $request->input('dist_code');
        $art_centre = $request->input('art_centre');
        $pat_uid = $art_centre.'-'.str_pad(($uidcount+1), 5, '0', STR_PAD_LEFT);
        
        $data = array(
                    "state_code"=>$state_code,
                    "dist_code"=>$dist_code,
                    "emp_code"=>$request->emp_code,
                    "art_centre_code"=>$request->art_centre_code,
                    "doe"=>$request->doe,
                    "art_centre"=>$art_centre,
                    "art_centre_name"=>$request->art_centre_name,
                    "pre_art_reg_num"=>$request->pre_art_reg_num,
                    "art_reg_num"=>$request->art_reg_num,
                    "pat_name"=>$request->pat_name,
                    "pat_dob"=>$request->pat_dob,
                    "pat_age"=>$request->pat_age,
                    "pat_sex"=>$request->pat_sex,
                    "pat_mobile"=>$request->pat_mobile,
                    "pat_alternate_mobile"=>$request->pat_alternate_mobile,
                    "pat_address"=>$request->pat_address,
                    "pat_mandal"=>$request->pat_mandal,
                    "pat_district"=>$request->pat_district,
                    "pat_city"=>$request->pat_city,
                    "pat_pincode"=>$request->pat_pincode,
                    "pat_status"=>$request->pat_status,
                    "pat_uid"=>$pat_uid
                );
        
        $insdata = DB::table('patient_register')->insert($data);
        return redirect('patient-register-data');
    }
    
    public function getpatientdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('patient_register')->orderBy('id','desc')->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('patient_register')->where(['state_code'=>$state_code])->orderBy('id','desc')->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('patient_register')->whereIn('art_centre',$art_centre_code)->orderBy('id','desc')->get();
        }
        else
        {
            $getdata = DB::table('patient_register')->where('emp_code',$emp_code)->orderBy('id','desc')->get();
        }
        return view('pages.patient-register-data', compact('getdata'));
    }
    
    public function showpatient($id)
    {  
         $showdata = DB::table('patient_register')->where('id','=',$id)->get();
         return view('pages.patient-register', compact('showdata'));
    }

    public function updatepatient(Request $request)
    { 
        $data = array(
                "doe"=>$request->doe,
                "pre_art_reg_num"=>$request->pre_art_reg_num,
                "art_reg_num"=>$request->art_reg_num,
                "pat_name"=>$request->pat_name,
                "pat_age"=>$request->pat_age,
                "pat_sex"=>$request->pat_sex,
                "pat_mobile"=>$request->pat_mobile,
                "pat_alternate_mobile"=>$request->pat_alternate_mobile,
                "pat_address"=>$request->pat_address,
                "pat_mandal"=>$request->pat_mandal,
                "pat_district"=>$request->pat_district,
                "pat_city"=>$request->pat_city,
                "pat_pincode"=>$request->pat_pincode,
                "pat_status"=>$request->pat_status,
            );

        $insdata = DB::table('patient_register')->where('id',$request->id)->update($data);
        return redirect('patient-register-data');
    }
    
    public function getartcentrename(Request $request)
    {
        $showdata = DB::table('art_centre_master')->where('art_centre_code','=',$request->art_centre)->first();
        return json_encode(['showdata' => $showdata]);
    }

    public function checkpatmobile(Request $request)
    {
        $showdata = DB::table('patient_register')->where('pat_mobile','=',$request->pat_mobile)->count();
        return json_encode(['showdata' => $showdata]);
    }

    public function checkartreg(Request $request)
    {
        $showdata = 0;
        $preregcount = 0;
        $regcount = 0;
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        if($request->pre_art_reg_num != "")
        {
            $preregcount = DB::table('patient_register')->whereIn('art_centre_code',$art_centre_code)->where('pre_art_reg_num','=',$request->pre_art_reg_num)->count();
        }

        if($request->art_reg_num != "")
        {
            $regcount = DB::table('patient_register')->whereIn('art_centre_code',$art_centre_code)->where('art_reg_num','=',$request->art_reg_num)->count();
        }

        $showdata = $preregcount + $regcount;
        return json_encode(['showdata' => $showdata,'preregcount' => $preregcount,'regcount' => $regcount]);
    }

    public function checkpatdata(Request $request)
    {
        $showdata = DB::table('patient_register')->where('id','=',$request->pat_uid)->first();
        return json_encode(['showdata' => $showdata]);
    }

    public function checkpatmapdata(Request $request)
    {
        $showdata = DB::table('patient_register')->leftjoin('patient_mapping', 'patient_register.id', '=', 'patient_mapping.pat_uid')->where('patient_register.id','=',$request->pat_uid)->where('patient_mapping.pat_uid','=',$request->pat_uid)->where('patient_mapping.linelist_type',$request->linelist_type)->where('linelist_status','Open')->first();
        return json_encode(['showdata' => $showdata]);
    }
    
    public function insertpatientmapping(Request $request)
    { 
        $mapcount = DB::table('patient_mapping')->where(['pat_uid'=>$request->pat_uid,'linelist_status'=>'Open'])->where('linelist_type',$request->linelist_type)->count();

        if($mapcount > 0)
        {
            return redirect()->back()->with('error','Patient already mapped with Linelist. Plz try with another patient.');
        } 
        if($request->linelist_type == "1")
        {
            $linelist_reason = $request->linelist_reason_1;
        }
        else if($request->linelist_type == "2")
        {
            $linelist_reason = $request->linelist_reason_2;
        }
        else
        {
            $linelist_reason = $request->linelist_reason_3;
        }
        
        $data = array(
                    "state_code"=>$request->state_code,
                    "dist_code"=>$request->dist_code,
                    "emp_code"=>$request->emp_code,
                    "art_centre_code"=>$request->art_centre_code,
                    "pat_uid"=>$request->pat_uid,
                    "linelist_date"=>$request->linelist_date,
                    "linelist_type"=>$request->linelist_type,
                    "linelist_reason"=>$linelist_reason,
                    "linelist_status"=>$request->linelist_status,
                );
        
        $insdata = DB::table('patient_mapping')->insert($data);
        return redirect('patient-mapping-data');
    }

    public function getpatientmappingdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('patient_mapping')->orderBy('id','desc')->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('patient_mapping')->where(['state_code'=>$state_code])->orderBy('id','desc')->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('patient_mapping')->whereIn('art_centre_code',$art_centre_code)->orderBy('id','desc')->get();
        }
        else
        {
            $getdata = DB::table('patient_mapping')->where('emp_code',$emp_code)->orderBy('id','desc')->get();
        }
        return view('pages.patient-mapping-data', compact('getdata'));
    }
}
