@extends('layouts.main') 
@section('title', 'EAC Input Data')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/jquery-ui/jquery-ui.css') }}">
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('EAC Input Data') }}</h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page">{{ __('EAC Input')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3>{{ __('EAC Input Data Table') }}</h3>
                    </div>
                    <div class="card-body table-responsive">
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th style="display: none;">{{ __('State Code') }}</th>
                                    <th style="display: none;">{{ __('Dist Code') }}</th>
                                    <th>{{ __('Staff Code') }}</th>
                                    <th style="display: none;">{{ __('Client ART Center Code') }}</th>
                                    <th style="display: none;">{{ __('Client Mobile') }}</th>
                                    <th>{{ __('Date of Entry') }}</th>
                                    <th>{{ __('Pre ART REG Number') }}</th>
                                    <th>{{ __('ART REG Number') }}</th>
                                    <th>{{ __('Client Name') }}</th>
                                    <th>{{ __('Linelist Received Date') }}</th>
                                    <th>{{ __('EAC Visit') }}</th>
                                    <th style="display: none;">{{ __('VL TEST DATE') }}</th>
                                    <th style="display: none;">{{ __('USP VL COUNT') }}</th>
                                    <th style="display: none;">{{ __('ART ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('VLT IMPORTANCE') }}</th>
                                    <th style="display: none;">{{ __('ART DOSAGE') }}</th>
                                    <th style="display: none;">{{ __('CAREGIVER NAME') }}</th>
                                    <th style="display: none;">{{ __('CAREGIVER MOBILE') }}</th>

                                    <th style="display: none;">{{ __('SUC1 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC1 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC1 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC1 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC1 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC1 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC1 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC1 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC1 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC1 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('SUC2 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC2 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC2 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC2 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC2 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC2 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC2 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC2 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC2 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC2 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('SUC3 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC3 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC3 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC3 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC3 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC3 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC3 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC3 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC3 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC3 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('SUC4 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC4 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC4 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC4 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC4 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC4 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC4 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC4 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC4 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC4 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('SUC5 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC5 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC5 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC5 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC5 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC5 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC5 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC5 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC5 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC5 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('SUC6 DATE') }}</th>
                                    <th style="display: none;">{{ __('SUC6 MODE') }}</th>
                                    <th style="display: none;">{{ __('SUC6 BARRIER TO ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC6 BARRIER TO ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC6 INTERVENTION') }}</th>
                                    <th style="display: none;">{{ __('SUC6 INTERVENTION OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC6 ADHERENCE') }}</th>
                                    <th style="display: none;">{{ __('SUC6 ADHERENCE OTHER SPECIFY') }}</th>
                                    <th style="display: none;">{{ __('SUC6 SUPPORT PROVIDED BY ACCELARATE') }}</th>
                                    <th style="display: none;">{{ __('SUC6 SUPPORT PROVIDED BY ACCELARATE OTHER SPECIFY') }}</th>

                                    <th style="display: none;">{{ __('REP VL DATE') }}</th>
                                    <th style="display: none;">{{ __('REP VL RES') }}</th>
                                    <th style="display: none;">{{ __('Referred to SACEP') }}</th>
                                    <th style="display: none;">{{ __('Referred to SACEP Type') }}</th>
                                    <th style="display: none;">{{ __('Specify Referred to SACEP') }}</th>
                                    <th style="display: none;">{{ __('EAC FINAL OUTCOME') }}</th>
                                    <th style="display: none;">{{ __('Specify EAC Final Outcome') }}</th>
                                    <th style="display: none;">{{ __('FINAL OUTCOME DATE') }}</th>
                                    <th style="display: none;">{{ __('REMARKS') }}</th>
                                    <th>{{ __('Action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                 @foreach($getdata as $getdatas)
                                <tr>
                                    <td style="display: none;">{{ $getdatas->state_code }}</td>
                                    <td style="display: none;">{{ $getdatas->dist_code }}</td>
                                    <td>{{ $getdatas->emp_code }}</td>

                                    <?php
                                    $getpatregdata = DB::table('patient_register')->where(['id'=>$getdatas->pat_uid])->first();
                                    ?>
                                    <td style="display: none;">{{ $getpatregdata->art_centre_code ?? '' }}</td>
                                    <td style="display: none;">{{ $getpatregdata->pat_mobile ?? '' }}</td>
                                    <td>{{ $getdatas->doe }}</td>
                                    <td>{{ $getpatregdata->pre_art_reg_num ?? '' }}</td>
                                    <td>{{ $getpatregdata->art_reg_num ?? '' }}</td>
                                    <td>{{ $getpatregdata->pat_name ?? '' }}</td>
                                    <td>{{ $getdatas->linelist_date }}</td>
                                    <td>{{ $getdatas->eac_visit }}</td>
                                    <td style="display: none;">{{ $getdatas->vl_test_date }}</td>
                                    <td style="display: none;">{{ $getdatas->usp_vl_count }}</td>
                                    <td style="display: none;">{{ $getdatas->art_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->vlt_imp }}</td>
                                    <td style="display: none;">{{ $getdatas->art_dosage }}</td>
                                    <td style="display: none;">{{ $getdatas->caregiver_name }}</td>
                                    <td style="display: none;">{{ $getdatas->caregiver_mobile }}</td>

                                    <td style="display: none;">{{ $getdatas->suc1_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc1_sup_other_specify }}</td>

                                    <td style="display: none;">{{ $getdatas->suc2_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc2_sup_other_specify }}</td>

                                    <td style="display: none;">{{ $getdatas->suc3_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc3_sup_other_specify }}</td>

                                    <td style="display: none;">{{ $getdatas->suc4_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc4_sup_other_specify }}</td>
                                    
                                    <td style="display: none;">{{ $getdatas->suc5_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc5_sup_other_specify }}</td>
                                    
                                    <td style="display: none;">{{ $getdatas->suc6_date }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_mode }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_bat }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_bat_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_int }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_int_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_adh }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_adh_other_specify }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_sup }}</td>
                                    <td style="display: none;">{{ $getdatas->suc6_sup_other_specify }}</td>
                                    
                                    <td style="display: none;">{{ $getdatas->rep_vl_date }}</td>
                                    <td style="display: none;">{{ $getdatas->rep_vl_res }}</td>
                                    <td style="display: none;">{{ $getdatas->referred_sacep }}</td>
                                    <td style="display: none;">{{ $getdatas->referred_sacep_type }}</td>
                                    <td style="display: none;">{{ $getdatas->specify_referred_sacep }}</td>
                                    <td style="display: none;">{{ $getdatas->eac_final_outcome }}</td>
                                    <td style="display: none;">{{ $getdatas->specify_eac_final_outcome }}</td>
                                    <td style="display: none;">{{ $getdatas->final_outcome_date }}</td>
                                    <td style="display: none;">{{ $getdatas->remarks }}</td>
                                    <td>
                                        @if(\Session::get('loggindata')->eac_modify == 'Yes' && $getdatas->eac_visit < 7)
                                        <a href="{{'editeacinput/'.$getdatas->id}}" class='btn btn-success'>Edit</a> 
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    @push('script')
    <script src="{{ asset('plugins/jquery-ui/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
    <!--get editable datatable script-->
    <script src="{{ asset('js/editable-datatable.js') }}"></script>
    @endpush
@endsection
