@extends('layouts.main') 
@section('title', 'Client Registration Mapping')
@section('content')  
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/js/bootstrap-datepicker.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/css/select2.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css">

<?php 
    $getstatecodedata = DB::table('state_master')->get();
    $getdistrictcodedata = DB::table('district_master')->get();

    $adminstatecode = auth()->user()->state_code;
    $admindistcode = auth()->user()->dist_code;
    $art_centre_code = auth()->user()->art_centre_code;
    $role_name  = auth()->user()->roles->pluck('name');
    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin")
    {
        $getpatregdata = DB::table('patient_register')->get();
    }
    else
    {
        $art_centre_code = explode(', ',$art_centre_code);
        $getpatregdata = DB::table('patient_register')->whereIn('art_centre_code',$art_centre_code)->get();
    }
?>

<div class="container-fluid">
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-edit bg-blue"></i>
                    <div class="d-inline">
                        <h5>{{ __('Client Mapping Form')}}</h5>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item"><a href="#">{{ __('Forms')}}</a></li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-7 mx-auto">
            <div class="card">
                <div class="card-header">
                    <div class="col-md-9 pl-0">
                        <h3>{{ __('Client Mapping Form') }}</h3>
                    </div>
                    <div class="col-md-3 text-right">
                        <a href="{{'upload-patient-mapping'}}" class='btn btn-primary'>{{__('Import Client Mapping')}}</a>
                    </div>
                </div>
                <div class="card-body">
                    <form class="forms-sample"  method='POST' @if(!empty($showdata)) action="{{ url('updatepatientmapping') }}" @else action="{{ url('insertpatientmapping') }}" @endif name='patientregister'>
                        @csrf
                        
                        @if(session()->has('error'))
                        <div class="alert alert-danger" role="alert">
                            {{ session()->get('error') }}
                        </div>
                        @endif
                        @if(!empty($showdata))
                        <input type='hidden' name='id' value='{{$showdata[0]->id}}'>
                        @endif

                        <input type="hidden" class="form-control" id="state_code" name='state_code' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->state_code}}' <?php } else{?> value='{{auth()->user()->state_code}}'<?php } ?> placeholder="Enter State code" readonly>
                        <input type="hidden" class="form-control" id="dist_code" name='dist_code' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->dist_code}}' <?php } else{?> value='{{auth()->user()->dist_code}}'<?php } ?> placeholder="Enter District code" readonly>
                        <input type="hidden" class="form-control" id="emp_code" name='emp_code' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->emp_code}}' <?php } else{?> value='{{auth()->user()->emp_code}}'<?php } ?> placeholder="Enter Staff code" readonly>
                        <input type="hidden" class="form-control" id="art_centre_code" name='art_centre_code' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->art_centre_code}}' <?php } else{?> value='{{auth()->user()->art_centre_code}}'<?php } ?> placeholder="Enter Staff code" readonly>

                        @if(!empty($showdata))
                        <?php
                        $patdata = DB::table('patient_register')->where('id',$showdata[0]->pat_uid)->first();
                        ?>
                        @endif

                        <div class="form-group">
                            <label for="pat_uid">{{ __('Client UID')}}</label>
                            <select name='pat_uid' id='pat_uid' class='form-control' required>
                                <option value="">Select Client UID</option>
                                <?php foreach($getpatregdata as $getpatreg){ ?>
                                 <option value='<?php echo $getpatreg->id; ?>' @if(!empty($showdata)){{ $patdata->pat_uid == $getpatreg->pat_uid ? 'selected' : '' }} @endif><?php echo $getpatreg->pre_art_reg_num.' | '.$getpatreg->art_reg_num.' | '.$getpatreg->pat_name; ?></option>
                                 <?php } ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="art_centre">{{ __('ART Center Code')}}</label>
                            <input type="text" class="form-control" id="art_centre" name='art_centre' <?php if(!empty($showdata)){ ?> value='{{$patdata->art_centre}}' <?php } ?> placeholder="Enter ART Center Name" readonly>
                        </div>
                        <div class="form-group">
                            <label for="art_centre_name">{{ __('ART Center Name')}}</label>
                            <input type="text" class="form-control" id="art_centre_name" name='art_centre_name' <?php if(!empty($showdata)){ ?> value='{{$patdata->art_centre_name}}' <?php } ?> placeholder="Enter ART Center Name" readonly>
                        </div>
                        <div class="form-group">
                            <label for="pre_art_reg_num">{{ __('Pre ART REG Number')}}</label>
                            <input type="text" class="form-control" id="pre_art_reg_num" name='pre_art_reg_num' <?php if(!empty($showdata)){ ?> value='{{$patdata->pre_art_reg_num}}' <?php } ?> placeholder="Enter Pre ART REG Number" readonly>
                        </div>
                        <div class="form-group">
                            <label for="art_reg_num">{{ __('ART REG Number')}}</label>
                            <input type="text" class="form-control" id="art_reg_num" name='art_reg_num' <?php if(!empty($showdata)){ ?> value='{{$patdata->art_reg_num}}' <?php } ?> placeholder="Enter ART REG Number" readonly>                            
                        </div>
                        <div class="form-group">
                            <label for="pat_name">{{ __('Client Name')}}</label>
                            <input type="text" class="form-control" id="pat_name" name='pat_name' <?php if(!empty($showdata)){ ?> value='{{$patdata->pat_name}}' <?php } ?> placeholder="Enter Client Name" readonly>
                        </div>
                        <div class="form-group">
                            <label for="pat_age">{{ __('Client Age')}}</label>
                            <input type="number" class="form-control" id="pat_age" name='pat_age' <?php if(!empty($showdata)){ ?> value='{{$patdata->pat_age}}' <?php } ?> placeholder="Enter Client Age" readonly>
                        </div>
                        <div class="form-group">
                            <label for="pat_sex">{{ __('Client Sex')}}</label>
                            <input type="text" class="form-control" id="pat_sex" name='pat_sex' <?php if(!empty($showdata)){ ?> value='{{$patdata->pat_sex}}' <?php } ?> placeholder="Enter Client Sex" readonly>
                        </div>
                        
                        <div class="form-group">
                            <label for="linelist_date">{{ __('Linelist Received Date')}}</label>
                            <div class='input-group date datetimepicker'>
                                <input type='text' id='linelist_date' @if(!empty($showdata)) value='{{$showdata[0]->linelist_date}}' @endif class="form-control" name="linelist_date" placeholder="dd-mm-yyyy" required/>
                                <span class="input-group-addon">
                                  <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <label for="linelist_type">{{ __('Linelist Type')}}</label>
                            <select name='linelist_type' id='linelist_type' class='form-control'>
                                <option value="">Select Reason for Calling/Visit</option>
                                <option value='1' @if(!empty($showdata)){{ $showdata[0]->linelist_type == 1 ? 'selected' : '' }} @endif>Outreach</option>
                                <option value='2' @if(!empty($showdata)){{ $showdata[0]->linelist_type == 2 ? 'selected' : '' }} @endif>Calling</option>
                                <option value='3' @if(!empty($showdata)){{ $showdata[0]->linelist_type == 3 ? 'selected' : '' }} @endif>EAC</option>
                            </select>
                        </div>

                        <div class="form-group outreach_outcome">
                            <label for="outreach_outcome">{{ __('Outcome of Outreach Input')}}</label>
                            <select name='linelist_reason_1' class='form-control'>
                                <option value="">Select Reason for Outreach/Visit</option>
                                <option value='1' @if(!empty($showdata)){{ $showdata[0]->outreach_outcome == 1 ? 'selected' : '' }} @endif>LFU</option>
                                <option value='2' @if(!empty($showdata)){{ $showdata[0]->outreach_outcome == 2 ? 'selected' : '' }} @endif>MIS</option>
                                <option value='3' @if(!empty($showdata)){{ $showdata[0]->outreach_outcome == 3 ? 'selected' : '' }} @endif>Home Delivery</option>
                                <option value='4' @if(!empty($showdata)){{ $showdata[0]->outreach_outcome == 4 ? 'selected' : '' }} @endif>VL</option>
                            </select>
                        </div>

                        <div class="form-group calling_outcome">
                            <label for="calling_outcome">{{ __('Outcome of Calling Input')}}</label>
                            <select name='linelist_reason_2' class='form-control'>
                                <option value="">Select Reason for Calling/Visit</option>
                                <option value='6' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 6 ? 'selected' : '' }} @endif>LFU</option>
                                <option value='7' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 7 ? 'selected' : '' }} @endif>MIS</option>
                                <option value='8' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 8 ? 'selected' : '' }} @endif>CD4</option>
                                <option value='9' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 9 ? 'selected' : '' }} @endif>TLD</option>
                                <option value='10' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 10 ? 'selected' : '' }} @endif>Due Date Call</option>
                                <option value='11' @if(!empty($showdata)){{ $showdata[0]->calling_outcome == 11 ? 'selected' : '' }} @endif>TB Follow up</option>
                            </select>
                        </div>

                        <!-- <div class="form-group eac_outcome">
                            <label for="eac">{{ __('Outcome of EAC Input')}}</label>
                            <select name='linelist_reason_3' class='form-control'>
                                <option value="">Select Reason for EAC Input</option>
                                <option value='1' @if(!empty($showdata)){{ $showdata[0]->eac == 1 ? 'selected' : '' }} @endif>Barrier to Adherence</option>
                                <option value='2' @if(!empty($showdata)){{ $showdata[0]->eac == 2 ? 'selected' : '' }} @endif>Intervention</option>
                                <option value='3' @if(!empty($showdata)){{ $showdata[0]->eac == 3 ? 'selected' : '' }} @endif>Adherence</option>
                                <option value='4' @if(!empty($showdata)){{ $showdata[0]->eac == 4 ? 'selected' : '' }} @endif>Support Provided By Accelarate</option>
                            </select>
                        </div> -->

                        <div class="form-group">
                            <label for="linelist_status">{{ __('Linelist Status')}}</label>
                            <input type="text" class="form-control" id="linelist_status" name='linelist_status' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->linelist_status}}' <?php } else{?> value='Open' <?php } ?> placeholder="Enter Linelist Status" readonly>
                        </div>

                        <br><br>
                        <button type="submit" id="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                        @if(empty($showdata))
                        <a href="{{'outreach-input-data'}}" class="btn btn-light">{{ __('Cancel')}}</a>
                        @endif
                      </form>
                </div>
            </div>
        </div>
    </div>
</div>
    
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/js/select2.full.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.15.1/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/js/bootstrap-datetimepicker.min.js"></script>
<script>  
    $(function() {  
        $("select").select2();

        $('.outreach_outcome').css('display','none');
        $('.calling_outcome').css('display','none');
        $('.eac_outcome').css('display','none');

        var default_date=  new Date();
        $('.datetimepicker').datetimepicker({  
           format: 'DD-MM-YYYY', 
            useCurrent:false, 
            defaultDate: default_date
        });
    });  

    function isNumber(evt)
    {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true; 
    }

    $( "#pat_uid" ).change(function() { 
        var pat_uid = $(this).val();
        $.ajax({
            type: "POST",
            url: "{{ url('checkpatdata') }}",
            data: {pat_uid:pat_uid, _token: '{{csrf_token()}}' },
            dataType: "json",
            success: function(res) { 
                var art_centre = res.showdata.art_centre;
                var art_centre_name = res.showdata.art_centre_name;
                var pre_art_reg_num = res.showdata.pre_art_reg_num;
                var art_reg_num = res.showdata.art_reg_num;
                var pat_name = res.showdata.pat_name;
                var pat_age = res.showdata.pat_age;
                var pat_sex = res.showdata.pat_sex;
                $('#art_centre').val(art_centre);
                $('#art_centre_name').val(art_centre_name);
                $('#pre_art_reg_num').val(pre_art_reg_num);
                $('#art_reg_num').val(art_reg_num);
                $('#pat_name').val(pat_name);
                $('#pat_age').val(pat_age);
                $('#pat_sex').val(pat_sex);
            },
            error: function (jqXHR, exception) {

            }
        });
    });

    $( "#linelist_type" ).change(function() { 
        var linelist_type = $(this).val();
        if(linelist_type == 1)
        {
            $('.outreach_outcome').css('display','block');
            $('.calling_outcome').css('display','none');
            $('.eac_outcome').css('display','none');
        }
        else if(linelist_type == 2)
        {
           $('.calling_outcome').css('display','block'); 
           $('.outreach_outcome').css('display','none'); 
           $('.eac_outcome').css('display','none'); 
        }
        else
        {
            $('.eac_outcome').css('display','block'); 
            $('.calling_outcome').css('display','none'); 
            $('.outreach_outcome').css('display','none'); 
        }
    });
</script>
@push('script')
    <script src="{{ asset('js/form-components.js') }}"></script>
@endpush
@endsection