@extends('layouts.main') 
@section('title', 'Profile')
@section('content')
    

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-file-text bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Profile')}}</h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Pages')}}</a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('Profile')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-7 mx-auto">
                @include('include.message')
                <div class="card">
                    <div class="card-header"><h3>{{ __('User Profile')}}</h3></div>
                    <div class="card-body">
                        <form class="form-sample" method="POST" action="{{ url('user/edit-profile') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="example-name">{{ __('Full Name')}}</label>
                                <input type="text" class="form-control" value="{{ Auth::user()->name }}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="example-email">{{ __('Email')}}</label>
                                <input type="email" class="form-control" value="{{ Auth::user()->email }}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="example-name">{{ __('District Code')}}</label>
                                <input type="text" class="form-control" value="{{ Auth::user()->dist_code }}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="example-name">{{ __('State Code')}}</label>
                                <input type="text" class="form-control" value="{{ Auth::user()->state_code }}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="example-name">{{ __('ART Center Code')}}</label>
                                <input type="text" class="form-control" value="{{ Auth::user()->art_centre_code }}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="example-name">{{ __('Profile')}}</label>
                                <input type="file" class="form-control" name="profile" readonly>
                            </div>
                            <input type="hidden" value="{{ Auth::user()->id }}" name="id">
                            <button class="btn btn-success" type="submit">Update Profile</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
