 
<?php $__env->startSection('title', 'Linelist Summary'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/jquery-ui/jquery-ui.css')); ?>">
    <?php $__env->stopPush(); ?>

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Linelist Summary')); ?></h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('dashboard')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Report')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <div class="row clearfix">
            <div class="col-md-12">
                
                <form class="forms-sample"  method='POST' action="<?php echo e(route('getfilteredlinelistsummaryreport')); ?>" >
                        <?php echo csrf_field(); ?>
                            <div class="form-group row">
                                <div class="col-3">
                                    <label>Month</label>
                                    <select name='month' id='month' class='form-control' required>
                                        <option value="">Select Month</option>
                                        <?php for($i=1;$i<=12;$i++): ?>
                                        <option value="<?php echo e(str_pad($i, 2, '0', STR_PAD_LEFT)); ?>" <?php echo e($month == str_pad($i, 2, '0', STR_PAD_LEFT) ? 'selected' : ''); ?>><?php echo e(str_pad($i, 2, '0', STR_PAD_LEFT)); ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                                <div class="col-3">
                                    <label>Year</label>
                                    <select name='year' id='year' class='form-control' required>
                                        <option value="">Select Month</option>
                                        <?php for($i=2022;$i<=2030;$i++): ?>
                                        <option value="<?php echo e($i); ?>" <?php echo e($year == $i ? 'selected' : ''); ?>><?php echo e($i); ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                                <div class="col-2 mt-25">
                                    <button type="submit" id="submit" class="btn btn-primary mr-2"><?php echo e(__('Submit')); ?></button>
                                </div>
                            </div>
                        </form>
                <div class="card">
                    <!--<div class="card-header">-->
                    <!--    <h3><?php echo e(__('Outreach Input Report')); ?></h3>-->
                    <!--</div>-->
                    
                    <div class="card-body table-responsive">
                        
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Visit')); ?></th>
                                    <th><?php echo e(__('Outreach')); ?></th>
                                    <th><?php echo e(__('Calling')); ?></th>
                                    <th><?php echo e(__('Eac')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $outreach_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    <td><?php echo e($key); ?></td>
                                    <td><?php echo e($outreach_arr[$key]); ?></td>
                                    <td><?php echo e($calling_arr[$key]); ?></td>
                                    <td><?php echo e($eac_arr[$key]); ?></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
    <!--get editable datatable script-->
    <script src="<?php echo e(asset('js/editable-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/virutha/treatbuddy.virutha.xyz/resources/views/pages/linelist-summary-report.blade.php ENDPATH**/ ?>