 
<?php $__env->startSection('title', 'Editable Datatable'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/jquery-ui/jquery-ui.css')); ?>">
        <link href='https://fonts.googleapis.com/css?family=Josefin Sans' rel='stylesheet'>
    <?php $__env->stopPush(); ?>

    <div class="container-fluid" style="font-family:'Josefin Sans';">
         <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Daily Service View')); ?></h5>
                            <span><?php echo e(__('EJAF.')); ?></span>
                        </div>
                    </div>
                    
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('dashboard')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Daily Service View')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <?php
        use App\User;
        $id = Auth::user()->id;
        $user  = User::with('roles','permissions')->find($id);
        $permissions = $user->getAllPermissions();
        $add_perm = 0;
        $edit_perm = 0;
        $delete_perm = 0;
        if(count($permissions) > 0)
        {
            foreach($permissions as $data)
            {
                if($data->name == "Add")
                {
                    $add_perm = 1;
                }
                if($data->name == "Modify")
                {
                    $edit_perm = 1;
                }
                if($data->name == "Delete")
                {
                    $delete_perm = 1;
                }
            }
        }
        ?>
        
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <?php if($add_perm == 1): ?>
                        <a href='<?php echo e('daily-service'); ?>' style='margin-left: 75%;' class='btn btn-primary'><?php echo e(__('Add Daily Service Data')); ?></a>
                        <?php endif; ?>
                    </div>
                    <div class="card-body">
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th style="display:none"><?php echo e(__('Name of Staff')); ?></th>
                                    <th style="display:none"><?php echo e(__('District')); ?></th>
                                    <th style="display:none"><?php echo e(__('State')); ?></th>
                                    <th><?php echo e(__('Date')); ?></th>
                                    <th><?php echo e(__('Type of Client')); ?></th>
                                    <th><?php echo e(__('KP Name')); ?></th>
                                    <th><?php echo e(__('Date of STI')); ?></th>
                                    <th><?php echo e(__('Treatment STI')); ?></th>
                                    <th style="display:none"><?php echo e(__('Has the KP already Registered in EJAF')); ?></th>
                                    <th style="display:none"><?php echo e(__('UID')); ?></th>
                                    <th style="display:none"><?php echo e(__('UID of the existing Registered Client who is Related to')); ?></th>
                                    <th style="display:none"><?php echo e(__('UID of Spouse/Partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Partner Type of KP')); ?></th>
                                    <th style="display:none"><?php echo e(__('ID Number of the Partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of the Partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condoms')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condoms Quantity')); ?></th>
                                    <th style="display:none"><?php echo e(__('Needles & Syringes')); ?></th>
                                    <th style="display:none"><?php echo e(__('Needles & Syringes Quantity')); ?></th>
                                    <th style="display:none"><?php echo e(__('Lubricants')); ?></th>
                                    <th style="display:none"><?php echo e(__('Lubricants Quantity')); ?></th>
                                    <th style="display:none"><?php echo e(__('Prevention Counseling')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Prevention Counseling')); ?></th>
                                    <th style="display:none"><?php echo e(__('Referred and Tested for VDRL')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of VDRL Test')); ?></th>
                                    <th style="display:none"><?php echo e(__('VDRL Test Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('Treatment Initiated for VDRL')); ?></th>
                                    <th style="display:none"><?php echo e(__('Referred and Tested for Other STI')); ?></th>
                                    <th style="display:none"><?php echo e(__('Other STI(s) Test Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('Screened or Referred and Tested for TB')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of TB Test')); ?></th>
                                    <th style="display:none"><?php echo e(__('TB Test Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('Treatment Initiated for TB')); ?></th>
                                    <th style="display:none"><?php echo e(__('HIV Test Performed')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of HIV Test')); ?></th>
                                    <th style="display:none"><?php echo e(__('HIV Test Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('Linked to ART Centre')); ?></th>
                                    <th style="display:none"><?php echo e(__('Treatment Initiated for HIV')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of ART Initiation')); ?></th>
                                    <th style="display:none"><?php echo e(__('Last ARV Taken on')); ?></th>
                                    <th style="display:none"><?php echo e(__('Eligible for Viral Load Testing')); ?></th>
                                    <th style="display:none"><?php echo e(__('Viral Load Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('Viral Load Date')); ?></th>
                                    <th style="display:none"><?php echo e(__('Viral Suppression')); ?></th>
                                    <th style="display:none"><?php echo e(__('Referred and Tested for HEP-C')); ?></th>
                                    <th style="display:none"><?php echo e(__('HEP-C Test Result')); ?></th>
                                    <th style="display:none"><?php echo e(__('HEP-C Treatment Initiated')); ?></th>
                                    <th style="display:none"><?php echo e(__('MAT Initiation Date')); ?></th>
                                    <th style="display:none"><?php echo e(__('MAT Service Centre Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Other Services')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $unwant = array("1. ", "2. ", "3. ", "4. ", "5. ", "6. ", "7. ", "8. ", "9. ","2."); ?>
                                 <?php $__currentLoopData = $getdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $getdatas): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td style="display:none"><?php echo e($getdatas->nameofstaff); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->district); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->state); ?></td>
                                    <td><?php echo e($getdatas->dailydate); ?></td>
                                    <td><?php echo e(str_replace($unwant, "",$getdatas->typeofclient)); ?></td>
                                    <td><?php echo e($getdatas->kpname); ?></td>
                                    <td><?php echo e($getdatas->dateofsti); ?></td>
                                    <td><?php echo e($getdatas->treatmentinisti); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->kpregejaf)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->ifyes); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->typeofc23); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->uidspousepartner); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->partnertypekp)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->idnumpartner); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->namepartner); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->condom)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->condomqty); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->needlesyring); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->needlesyringqty); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->lubricant)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->lubricantqty); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->precounseling)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->q12aotherspecify); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->vdrlreferred)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->datevdrltest); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->vdrltestresult)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->treatmentvdrl)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->referedtestothersti)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->otherstitestresult)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->referedtesttb)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateoftbtest); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->tbtestresult)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->treatmentinitb)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->hivtestperfomed)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateofhivtest); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->hivresult)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->linkedartc)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->treatmentinihiv); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateofartini); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->lastarvtakenon); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->eligibalviralload)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->viralloadresult)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateviralloadtest); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->viralsuppresion); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->referetestedhepc)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->hepctestresult)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hepctreatmentini); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->datematini); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->matservicecentername); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->otherservice); ?></td>
                                    <td>
                                        <?php if($edit_perm == 1): ?>
                                        <a href='<?php echo e('editdailyservice/'.$getdatas->id); ?>' class='btn btn-success'>Edit</a> 
                                        <?php endif; ?>
                                        <?php if($delete_perm == 1): ?>
                                        <?php echo e(__(' | ')); ?><a href='<?php echo e('deletedailyservice/'.$getdatas->id); ?>' class='btn btn-danger'>Delete</a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
    <!--<script src="<?php echo e(asset('plugins/DataTables/Cell-edit/dataTables.cellEdit.js')); ?>"></script>-->
    <!--get editable datatable script-->
    <script src="<?php echo e(asset('js/editable-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/viruxyz/public_html/ejaf/resources/views/pages/daily-service-data.blade.php ENDPATH**/ ?>